For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Upload Proof Document

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/kyc/upload
POST
/api/v2/kyc/upload
$curl -X POST https://api-gateway-stg.transak.com/api/v2/kyc/upload \
> -H "Content-Type: multipart/form-data" \
> -F docId="PAYSLIP" \
> -F file=@payslip.pdf
1{
2 "data": {
3 "partnerUserId": "3016dfff-f2d5-4c66-a834-9554e189b0a9",
4 "docId": "PAYSLIP",
5 "originalFileName": "dec.pdf"
6 }
7}
**Upload Proof Document** is an **authenticated** API call that allows submission of a user’s source of income document proof as part of the KYC verification process. This step is required when Enhanced KYC is triggered and Source of income is submitted. Valid proof documents (e.g., passport, national ID, driver’s license, or utility bill) must be submitted after completing the submission of Source of income Form. **Note:** Any invalid, unclear, or missing documents may lead to KYC verification failure or delays in completing the onboarding process.
Was this page helpful?
Previous

Submit Source of Income

Next

Get KYC Reliance Quote

Built with

Upload Proof Document is an authenticated API call that allows submission of a user’s source of income document proof as part of the KYC verification process. This step is required when Enhanced KYC is triggered and Source of income is submitted.

Valid proof documents (e.g., passport, national ID, driver’s license, or utility bill) must be submitted after completing the submission of Source of income Form.

Note: Any invalid, unclear, or missing documents may lead to KYC verification failure or delays in completing the onboarding process.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects a multipart form containing a file.
docIdstringRequired

Document optionId present in the DOCUMENT_PROOF Form

filefileRequired
Document Proof

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error